Loading...
Searching...
No Matches
Qore::Logger::LoggerLayout Class Reference

Abstract class that defines the interface for logger layouts. More...

`#include <QC_LoggerLayout.dox.h>`

Inheritance diagram for Qore::Logger::LoggerLayout:

## Public Member Functions

abstract string | format (LoggerEvent event)
| Returns a formatted string for an input pattern.

## Detailed Description

Abstract class that defines the interface for logger layouts.

Event data (LoggerEvent) are formatted before the record is passed to the target

## Member Function Documentation

## format()

abstract string Qore::Logger::LoggerLayout::format | ( | LoggerEvent | event | ) |

Returns a formatted string for an input pattern.

Format event record

The documentation for this class was generated from the following file:

- modules/logger_bin/src/QC_LoggerLayout.dox.h